    /*
     *  call-seq:
     *     ConstantScoreQuery.new(filter) -> query
     *
     *  Create a ConstantScoreQuery which uses +filter+ to match documents giving
     *  each document a constant score.
     */
    static VALUE
    frt_csq_init(VALUE self, VALUE rfilter)
    {
        Query *q;
        Filter *filter;
        Data_Get_Struct(rfilter, Filter, filter);
        q = csq_new(filter);

        Frt_Wrap_Struct(self, NULL, &frt_q_free, q);
        object_add(q, self);
        return self;
    }